GWT 2.7.0

## com.google.gwt.aria.client
Enum ExpandedValue

    java.lang.Object
      java.lang.Enum<ExpandedValue>
          com.google.gwt.aria.client.ExpandedValue

All Implemented Interfaces:
  AriaAttributeType, java.io.Serializable, java.lang.Comparable<ExpandedValue>

    public enum ExpandedValue

extends java.lang.Enum<ExpandedValue>
implements AriaAttributeType

State enum for 'aria-expanded' values.

Enum Constant Summary
`FALSE`
`TRUE`
`UNDEFINED`

Method Summary
`java.lang.String` | `getAriaValue()`
`static ExpandedValue` | `of(boolean value)` Gets the enum constant corresponding to `value` for the token type ExpandedValue.
`static ExpandedValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExpandedValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRUE

    public static final ExpandedValue TRUE

### FALSE

    public static final ExpandedValue FALSE

### UNDEFINED

    public static final ExpandedValue UNDEFINED

Method Detail

### values

    public static ExpandedValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExpandedValue c : ExpandedValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExpandedValue valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### of

    public static ExpandedValue of(boolean value)

  Gets the enum constant corresponding to `value` for the token type ExpandedValue.

  Parameters:
    `value` - Boolean value for which we want to get the corresponding enum constant.

### getAriaValue

    public java.lang.String getAriaValue()

  Specified by:
    `getAriaValue` in interface `AriaAttributeType`

GWT 2.7.0